# $Revision: 1.10 $, $Date: 2009/06/23 06:45:43 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Flat
Summary:	File::Flat - implements a flat filesystem
Summary(pl.UTF-8):	File::Flat - implementacja płaskiego systemu plików
Name:		perl-File-Flat
Version:	1.04
Release:	1
# "same as perl"
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	20367f74ff34d92b3c839b3da282b4e0
URL:		http://search.cpan.org/dist/File-Flat/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
# in Makefile versioned dependencies are set, 
BuildRequires:	perl-prefork
BuildRequires:	perl-File-Copy-Recursive
BuildRequires:	perl-File-NCopy
BuildRequires:	perl-File-Remove
BuildRequires:	perl-File-Slurp
BuildRequires:	perl-Test-ClassAPI
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Flat implements a flat filesystem. A flat filesystem is a
filesystem in which directories do not exist. It provides an
abstraction over any normal filesystem which makes it appear as if
directories do not exist. In effect, it will automatically create
directories as needed. This is created for things like install scripts
and such, as you never need to worry about the existance of
directories, just write to a file, no matter where it is.

%description -l pl.UTF-8
File::Flat implementuje płaski system plików. Płaski system plików to
taki, w którym nie istnieją katalogi. Moduł udostępnia abstrakcję
ponad każdym normalnym systemem plików, powodującą, że zachowuje się,
jakby katalogi nie istniały. W efekcie automatycznie tworzy wszystkie
potrzebne katalogi. Służy do rzeczy takich jak skrypty instalacyjne i
inne, żeby nie trzeba było się martwić o istnienie katalogów -
wystarczy po prostu pisać do pliku, nie ważne gdzie on jest.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/Flat.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Flat.spec,v $
Revision 1.10  2009/06/23 06:45:43  amateja
- updated to 1.04

Revision 1.9  2007/12/25 17:59:23  agaran
- just comment on buildreq's

Revision 1.8  2007-12-19 15:42:21  zbyniu
- up to 1.02

Revision 1.7  2007-11-13 11:14:17  hawk
- updated to 1.00

Revision 1.6  2007-11-13 10:10:06  hawk
- BR perl-File-Slurp when with tests

Revision 1.5  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2006/08/24 12:53:30  radek
- BR: perl-prefork for tests

Revision 1.2  2006/08/19 23:31:51  qboosh
- pl

Revision 1.1  2006/07/29 11:06:19  agaran
- initial, 0.96 rel 0.1, builds here, am bit curious if it really need perl(prefork)
